ReportFilters (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sitraka.ReportFilters class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka
Class ReportFilters

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.sitraka.ReportFilters

public class ReportFilters
extends java.lang.Object

Filters information from coverage, somewhat similar to a `FileSet`.

Author:
  Stephane Bailliez

Nested Class Summary
`static class` | `ReportFilters.Exclude` concrete exclude class
`static class` | `ReportFilters.FilterElement` default abstract filter element class
`static class` | `ReportFilters.Include` concrete include class

Field Summary
`protected java.util.Vector` | `filters` user defined filters
`protected java.util.Vector` | `matchers` cached matcher for each filter

Constructor Summary
`ReportFilters()`

Method Summary
`boolean` | `accept(java.lang.String methodname)` Check whether a given <classname><method>() is accepted by the list of filters or not.
`void` | `addExclude(ReportFilters.Exclude excl)`
`void` | `addInclude(ReportFilters.Include incl)`
`protected void` | `createMatchers()` should be called only once to cache matchers
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filters

    protected java.util.Vector filters

  user defined filters

### matchers

    protected java.util.Vector matchers

  cached matcher for each filter

Constructor Detail

### ReportFilters

    public ReportFilters()

Method Detail

### addInclude

    public void addInclude(ReportFilters.Include incl)

### addExclude

    public void addExclude(ReportFilters.Exclude excl)

### size

    public int size()

### accept

    public boolean accept(java.lang.String methodname)

  Check whether a given <classname><method>() is accepted by the list of filters or not.

  Parameters:
    `methodname` - the full method name in the format <classname><method>()

### createMatchers

    protected void createMatchers()

  should be called only once to cache matchers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.